# Add your Python code here. E.g.
from microbit import *
import neopixel
import music
from random import randint

rgb = neopixel.NeoPixel(pin1,4)

class PIANO():
    def __init__(self):
        #The piano key corresponds to the touch screen value.
        self.Zero = 0x0000
        self.C = 0x0001
        self.bD = 0x0002
        self.D = 0x0004
        self.bE = 0x0008
        self.E = 0x0010
        self.F = 0x0020
        self.bG = 0x0040
        self.G = 0x0080
        self.bA = 0x0100
        self.A = 0x0200
        self.bB = 0x0400
        self.B = 0x0800
        self.C1 = 0x1000

    def TouchPress(self):
        arr = i2c.read(0x57,2)
        val = arr[0]+arr[1]*256
        return val

    def ShowRGB(self,RGB):
        for rgb_id in range(0,4):
            rgb[rgb_id] = (RGB[rgb_id][0],RGB[rgb_id][1],RGB[rgb_id][2])
            rgb.show()
        sleep(300)
        rgb.clear()
    
    def Color(self):
        for rgb_id in range(0,4):
            red = randint(0, 30)
            green = randint(0, 30)
            blue = randint(0, 30)
            rgb[rgb_id] = (red,green,blue)
        return rgb
    
    def PlayPiano(self):
        millisec = 500
        TPval = self.TouchPress()
        if TPval == self.C:
            music.pitch(262,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.bD:
            music.pitch(277,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.D:
            music.pitch(294,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.bE:
            music.pitch(311,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.E:
            music.pitch(330,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.F:
            music.pitch(349,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.bG:
            music.pitch(370,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.G:
            music.pitch(392,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.bA:
            music.pitch(415,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.A:
            music.pitch(440,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.bB:
            music.pitch(466,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.B:
            music.pitch(494,millisec)
            self.ShowRGB(self.Color())
        elif TPval == self.C1:
            music.pitch(523,millisec)
            self.ShowRGB(self.Color())

Piano = PIANO()
while True:
    Piano.PlayPiano()
